%global plugin_name swarm

Summary:    Jenkins Swarm plugin for self organizing slave nodes
Name:       jenkins-plugin-%{plugin_name}
Version:    2.0
Release:    2%{?dist}
License:    MIT
URL:        https://github.com/jenkinsci/swarm-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.480.3

%description
Jenkins Swarm plugin for self organizing slave nodes.

This plugin enables slaves to auto-discover a nearby 
Jenkins master and join it automatically, thereby 
forming an ad-hoc cluster. Swarm makes it easier to 
auto scale a Jenkins cluster by spinning up and tearing 
down new slave nodes since no manual intervention is 
required to make them join or leave the cluster.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Wed Sep 16 2015 Troy Dawson <tdawson@redhat.com> - 2.0-2
- Found license

* Wed Sep 16 2015 Troy Dawson <tdawson@redhat.com> - 2.0-1
- Initial package
